Subject: Re: linux-next: build failure after merge of the mm tree

From: Andrew Morton <[email-masked]>
Date: Thu, 12 May 2022 12:10:29 -0700

On Thu, 12 May 2022 14:28:18 +0100 Catalin Marinas <[email-masked]> wrote:

> > > -	return get_clear_contig(vma->vm_mm, addr, ptep, pgsize, ncontig);
> > > +	orig_pte = get_clear_contig(vma->vm_mm, addr, ptep, pgsize, ncontig);
> > > +	flush_tlb_range(vma, addr, addr + pgsize * ncontig);
> > > +	return orig_pte;
> > >   }
> > 
> > Yes, after checking this fb396bb459c1 ("arm64/hugetlb: Drop TLB flush from
> > get_clear_flush()"), I also realized it will miss TLB flush.
> > 
> > So I am not sure I need send a incremental patch to fix this issue? Or
> > resend my patch set [1] with rebasing on the arm64 changes?
> > 
> > Catalin and Andrew, how do you think? Thanks.
> 
> Andrew folding the diff in is fine by me. I presume the mm patches are
> applied on top of the rest of linux-next (and the arm64 commits).

No, the mm patches are based on
git://git.kernel.org/pub/scm/linux/kernel/git/akpm/mm master branch,
which is -rc4 or thereabouts.

So one of us needs to ensure that Linus gets that patch after the
second of us merges up.  I can't test it so I nominate you ;) Against
linux-next or the mm-everything branch at
git://git.kernel.org/pub/scm/linux/kernel/git/akpm/mm?